package main

import "fmt"
import "strconv"
import "strings"
import "os"

// INDICI: stato del pesce (un numero da 0 a 8)
// VALORI: numero di pesci in quello stato

func nextDay(status [9]int) [9]int {
	r := [9]int{}
	for s, number := range status {
		if s > 0 {
			r[s-1] += number
		} else {
			r[6] += number
			r[8] += number
		}
	}
	return r
}

func main() {
	var riga string

	ngiorni, _ := strconv.Atoi(os.Args[1])

	fmt.Scan(&riga)
	statusString := strings.Split(riga, ",")
	status := [9]int{}
	for _, s := range statusString {
		x, _ := strconv.Atoi(s)
		status[x]++
	}

	for i:=0; i < ngiorni; i++ {
		//fmt.Println(status)
		status = nextDay(status)
	}

	c := 0
	for _, v := range status {
		c += v
	}

	fmt.Println(c)
}