package main

import "fmt"
import "strconv"
import "strings"
import "os"

func nextDay(status []int) []int {
	r := []int{}
	nuovi := []int{}
	for _, fish := range status {
		if fish > 0 {
			r = append(r, fish - 1)
		} else {
			r = append(r, 6)
			nuovi = append(nuovi, 8)
		}
	}
	return append(r, nuovi...)
}

func format(status []int) (res string) {
	for i,s := range status {
		res += strconv.Itoa(s)
		if i < len(status) - 1 {
			res += ","
		}
	}
	return
}

func main() {
	var riga string

	ngiorni, _ := strconv.Atoi(os.Args[1])

	fmt.Scan(&riga)
	statusString := strings.Split(riga, ",")
	status := []int{}
	for _, s := range statusString {
		x, _ := strconv.Atoi(s)
		status = append(status, x)
	}

	for i:=0; i < ngiorni; i++ {
		status = nextDay(status)
	}

	fmt.Println(len(status))
}